Subject: Re: [PATCH 4/4] powerpc: remove orphaned MPC85xx kernel config fragments.

From: Paul Gortmaker <[email-masked]>
Date: Thu, 2 Mar 2023 19:25:04 -0500

[Re: [PATCH 4/4] powerpc: remove orphaned MPC85xx kernel config fragments.] On 02/03/2023 (Thu 17:30) Crystal Wood wrote:

> On Tue, 2023-02-21 at 22:49 +0100, Pali Roh??r wrote:
> > On Tuesday 21 February 2023 16:29:32 Paul Gortmaker wrote:
> > > [Re: [PATCH 4/4] powerpc: remove orphaned MPC85xx kernel config
> > > fragments.] On 21/02/2023 (Tue 21:03) Pali Roh??r wrote:
> > > 
> > > > On Tuesday 21 February 2023 14:46:37 Paul Gortmaker wrote:
> > > > > None of these have a reference anymore anywhere, such as like this:
> > > > > 
> > > > > ?? arch/powerpc/Makefile:?? $(call
> > > > > merge_into_defconfig,mpc85xx_base.config,\
> > > > > 
> > > > > As such, we probably should just clean up and remove them.
> > > > > 
> > > > > Cc: Scott Wood <[email-masked]>
> > > > > Cc: Michael Ellerman <[email-masked]>
> > > > > Cc: Benjamin Herrenschmidt <[email-masked]>
> > > > > Cc: Paul Mackerras <[email-masked]>
> > > > > Signed-off-by: Paul Gortmaker <[email-masked]>
> > > > > ---
> > > > > ??arch/powerpc/configs/85xx-32bit.config |???? 5 -
> > > > > ??arch/powerpc/configs/85xx-hw.config?????? | 139 ------------------------
> > > > > -
> > > > > ??arch/powerpc/configs/85xx-smp.config???? |???? 2 -
> > > > > ??3 files changed, 146 deletions(-)
> > > > > ??delete mode 100644 arch/powerpc/configs/85xx-32bit.config
> > > > > ??delete mode 100644 arch/powerpc/configs/85xx-hw.config
> > > > > ??delete mode 100644 arch/powerpc/configs/85xx-smp.config
> > > > 
> > > > This change is likely going to break mpc85xx platform because defconfig
> > > > files includes all these files which you are going to remove. For
> > > > example in arch/powerpc/Makefile is:
> > > > 
> > > > PHONY += mpc85xx_smp_defconfig
> > > > mpc85xx_smp_defconfig:
> > > > ????????????????$(call merge_into_defconfig,mpc85xx_base.config,\
> > > > ????????????????????????????????85xx-32bit 85xx-smp 85xx-hw fsl-emb-nonhw)
> > > 
> > > OK, it seems you've answered a question for me.?? That being "why didn't
> > > grep find a reference to these fragments?"
> > > 
> > > It seems the ".config" extension is optional?
> > 
> > I really do not know. (And I'm not sure if I want to know answer :D)
> 
> It's not optional; you have to leave it off:
> 
> # Used to create 'merged defconfigs'
> # To use it $(call) it with the first argument as the base defconfig
> # and the second argument as a space separated list of .config files to merge,
> # without the .config suffix.
> define merge_into_defconfig
> ...
> 
> > > This seems inconsistent at best, to reference some files with the
> > > .config extension and others without it.?? Not blaming you for that,
> > > but it is probably something that needs looking into.
> > 
> > I agree it is inconsistent. But it was there before I looked or touched
> > any powerpc code. So it looks like something which nobody wanted to
> > cleanup because "it works" and had no motivation.
> 
> No, it's intentional to reduce verbosity.  If by "inconsistent" you're
> referring to mpc85xx_base.config, that argument sometimes refers to _defconfig
> files (i.e. the pseries targets which were the initial user of
> merge_into_config) so that argument can't autoappend .config.

Thanks for the detailed explanation.  As I believe I said elsewhere, I
wouldn't be submitting this change once I understood the use case.  Plus
it wasn't significant in reducing our overall maintain/build/boot kernel
overhead in v6.4+ in linux-next etc.  --- as that was the real goal here.

I deleted our various BSPs years ago because I didn't think it was fair
or reasonable to expect other people to update/carry them on our behalf.

I would hope that is a statement that everyone could get behind.

Thanks,
Paul.
--

> -Crystal